Page MenuHomePhabricator

DateTimeInputWidget: Make use of 'clear' icon
Closed, ResolvedPublic

Description

Currently, DateTimeInputWidget is featuring a 'trash' icon

All OOUI input widgets with clearing actions feature 'clear' indicator/icon.
Let's unify on this, reducing visual emphasis of removing input action as well a bit, which is wishful.

Event Timeline

Volker_E created this task.Dec 15 2018, 3:05 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2018, 3:05 AM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptDec 15 2018, 3:18 AM

Change 479873 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] DateTimeInputWidget: Use 'clear' icon to clear input

https://gerrit.wikimedia.org/r/479873

Change 479910 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] DateTimeInputWidget: Fix UI/UX glitches

https://gerrit.wikimedia.org/r/479910

Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Dec 16 2018, 11:22 PM

Change 479873 merged by jenkins-bot:
[mediawiki/core@master] DateTimeInputWidget: Use 'clear' icon to clear input

https://gerrit.wikimedia.org/r/479873

Volker_E closed this task as Resolved.Dec 17 2018, 8:10 PM
Volker_E claimed this task.
Volker_E triaged this task as Normal priority.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.